Package org.silverpeas.components.projectmanager.model

## Class Filtre

- java.lang.Object
- - org.silverpeas.components.projectmanager.model.Filtre

- All Implemented Interfaces:
    `Serializable`

      public class Filtre
      extends Object
      implements Serializable

  Author:
    neysseri
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Filtre()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getActionFrom()` |
    `String` | `getActionNom()` |
    `String` | `getActionTo()` |
    `String` | `getAvancement()` |
    `String` | `getCodeProjet()` |
    `Date` | `getDateDebutFrom()` |
    `String` | `getDateDebutFromUI()` |
    `Date` | `getDateDebutTo()` |
    `String` | `getDateDebutToUI()` |
    `Date` | `getDateFinFrom()` |
    `String` | `getDateFinFromUI()` |
    `Date` | `getDateFinTo()` |
    `String` | `getDateFinToUI()` |
    `Date` | `getDatePVFrom()` |
    `String` | `getDatePVFromUI()` |
    `Date` | `getDatePVTo()` |
    `String` | `getDatePVToUI()` |
    `String` | `getDescProjet()` |
    `String` | `getResponsableId()` |
    `String` | `getResponsableName()` |
    `String` | `getRetard()` |
    `String` | `getStatut()` |
    `String` | `getVisibleMOA()` |
    `boolean` | `matches​(TaskDetail task)` | Indicates if the given task matches the registered filters.
    `void` | `setActionFrom​(String string)` |
    `void` | `setActionNom​(String string)` |
    `void` | `setActionTo​(String string)` |
    `void` | `setAvancement​(String string)` |
    `void` | `setCodeProjet​(String string)` |
    `void` | `setDateDebutFrom​(Date date)` |
    `void` | `setDateDebutFromUI​(String string)` |
    `void` | `setDateDebutTo​(Date date)` |
    `void` | `setDateDebutToUI​(String string)` |
    `void` | `setDateFinFrom​(Date date)` |
    `void` | `setDateFinFromUI​(String string)` |
    `void` | `setDateFinTo​(Date date)` |
    `void` | `setDateFinToUI​(String string)` |
    `void` | `setDatePVFrom​(Date date)` |
    `void` | `setDatePVFromUI​(String string)` |
    `void` | `setDatePVTo​(Date date)` |
    `void` | `setDatePVToUI​(String string)` |
    `void` | `setDescProjet​(String string)` |
    `void` | `setResponsableId​(String string)` |
    `void` | `setResponsableName​(String string)` |
    `void` | `setRetard​(String string)` |
    `void` | `setStatut​(String string)` |
    `void` | `setVisibleMOA​(String string)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Filtre

          public Filtre()

  - ### Method Detail

    - #### getActionFrom

          public String getActionFrom()

      Returns:

    - #### getActionNom

          public String getActionNom()

      Returns:

    - #### getActionTo

          public String getActionTo()

      Returns:

    - #### getAvancement

          public String getAvancement()

      Returns:

    - #### getCodeProjet

          public String getCodeProjet()

      Returns:

    - #### getDateDebutFrom

          public Date getDateDebutFrom()

      Returns:

    - #### getDateDebutTo

          public Date getDateDebutTo()

      Returns:

    - #### getDateFinFrom

          public Date getDateFinFrom()

      Returns:

    - #### getDateFinTo

          public Date getDateFinTo()

      Returns:

    - #### getDatePVFrom

          public Date getDatePVFrom()

      Returns:

    - #### getDatePVTo

          public Date getDatePVTo()

      Returns:

    - #### getDescProjet

          public String getDescProjet()

      Returns:

    - #### getResponsableId

          public String getResponsableId()

      Returns:

    - #### getRetard

          public String getRetard()

      Returns:

    - #### getStatut

          public String getStatut()

      Returns:

    - #### getVisibleMOA

          public String getVisibleMOA()

      Returns:

    - #### setActionFrom

          public void setActionFrom​(String string)

      Parameters:
        `string` -

    - #### setActionNom

          public void setActionNom​(String string)

      Parameters:
        `string` -

    - #### setActionTo

          public void setActionTo​(String string)

      Parameters:
        `string` -

    - #### setAvancement

          public void setAvancement​(String string)

      Parameters:
        `string` -

    - #### setCodeProjet

          public void setCodeProjet​(String string)

      Parameters:
        `string` -

    - #### setDateDebutFrom

          public void setDateDebutFrom​(Date date)

      Parameters:
        `date` -

    - #### setDateDebutTo

          public void setDateDebutTo​(Date date)

      Parameters:
        `date` -

    - #### setDateFinFrom

          public void setDateFinFrom​(Date date)

      Parameters:
        `date` -

    - #### setDateFinTo

          public void setDateFinTo​(Date date)

      Parameters:
        `date` -

    - #### setDatePVFrom

          public void setDatePVFrom​(Date date)

      Parameters:
        `date` -

    - #### setDatePVTo

          public void setDatePVTo​(Date date)

      Parameters:
        `date` -

    - #### setDescProjet

          public void setDescProjet​(String string)

      Parameters:
        `string` -

    - #### setResponsableId

          public void setResponsableId​(String string)

      Parameters:
        `string` -

    - #### setRetard

          public void setRetard​(String string)

      Parameters:
        `string` -

    - #### setStatut

          public void setStatut​(String string)

      Parameters:
        `string` -

    - #### setVisibleMOA

          public void setVisibleMOA​(String string)

      Parameters:
        `string` -

    - #### getDateDebutFromUI

          public String getDateDebutFromUI()

      Returns:

    - #### getDateDebutToUI

          public String getDateDebutToUI()

      Returns:

    - #### getDateFinFromUI

          public String getDateFinFromUI()

      Returns:

    - #### getDateFinToUI

          public String getDateFinToUI()

      Returns:

    - #### getDatePVFromUI

          public String getDatePVFromUI()

      Returns:

    - #### getDatePVToUI

          public String getDatePVToUI()

      Returns:

    - #### setDateDebutFromUI

          public void setDateDebutFromUI​(String string)

      Parameters:
        `string` -

    - #### setDateDebutToUI

          public void setDateDebutToUI​(String string)

      Parameters:
        `string` -

    - #### setDateFinFromUI

          public void setDateFinFromUI​(String string)

      Parameters:
        `string` -

    - #### setDateFinToUI

          public void setDateFinToUI​(String string)

      Parameters:
        `string` -

    - #### setDatePVFromUI

          public void setDatePVFromUI​(String string)

      Parameters:
        `string` -

    - #### setDatePVToUI

          public void setDatePVToUI​(String string)

      Parameters:
        `string` -

    - #### getResponsableName

          public String getResponsableName()

      Returns:

    - #### setResponsableName

          public void setResponsableName​(String string)

      Parameters:
        `string` -

    - #### matches

          public boolean matches​(TaskDetail task)

      Indicates if the given task matches the registered filters.
      Parameters:
        `task` - the task to check.
      Returns:
        true if the filters matches, false otherwise.